summaryrefslogtreecommitdiffstats
path: root/TOOLS/mpconsole.sh
diff options
context:
space:
mode:
authordiego <diego@b3059339-0415-0410-9bf9-f77b7e298cf2>2008-07-07 09:30:22 +0000
committerdiego <diego@b3059339-0415-0410-9bf9-f77b7e298cf2>2008-07-07 09:30:22 +0000
commitbadc033ef7dcbf1f322627b37403f969cc70c41d (patch)
treef0c1d04e5c4f7eec9b4dd69f927d89171dde413f /TOOLS/mpconsole.sh
parent1ebc859ff8a018b3d98e6bd7923d7d877cf76088 (diff)
downloadmpv-badc033ef7dcbf1f322627b37403f969cc70c41d.tar.bz2
mpv-badc033ef7dcbf1f322627b37403f969cc70c41d.tar.xz
Give all shell scripts a .sh suffix for consistency.
git-svn-id: svn://svn.mplayerhq.hu/mplayer/trunk@27230 b3059339-0415-0410-9bf9-f77b7e298cf2
Diffstat (limited to 'TOOLS/mpconsole.sh')
-rwxr-xr-xTOOLS/mpconsole.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/TOOLS/mpconsole.sh b/TOOLS/mpconsole.sh
new file mode 100755
index 0000000000..e9c016d930
--- /dev/null
+++ b/TOOLS/mpconsole.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+# Script to run mplayer on the console (fbdev/mga_vid/etc) without
+# the console text and/or flashing cursor getting in the way.
+# Written by Rich Felker.
+
+trap "tput cnorm ; exit 1" SIGQUIT SIGINT EXIT
+res=`PATH="$PATH:/usr/sbin" fbset | grep geometry | sed 's/^ *//'`
+width=`echo "$res" | cut -d' ' -f2`
+height=`echo "$res" | cut -d' ' -f3`
+tput civis
+clear
+mplayer -vo mga -screenw "$width" -screenh "$height" "$@" >/dev/null 2>&1